# Interface UnknownAttribute

All Superinterfaces:
  `Attribute<UnknownAttribute>, ClassElement, ClassFileElement, CodeElement, FieldElement, MethodElement`

public sealed interface UnknownAttribute extends Attribute<UnknownAttribute>, ClassElement, MethodElement, FieldElement, CodeElement
Models an unknown attribute read from a `class` file. An attribute is unknown if it is not recognized by one of the mappers in `Attributes` and is not recognized by the `ClassFile.AttributesProcessingOption`.

An unknown attribute may appear anywhere where an attribute may appear, and has an unknown data dependency.

Since:
  24
See Also:
  - `CustomAttribute`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`contents()`
Returns the uninterpreted contents of the attribute payload.

### Methods declared in interface Attribute

`attributeMapper, attributeName`
Modifier and Type
Method
Description
`AttributeMapper<UnknownAttribute>`
`attributeMapper()`
Returns the `AttributeMapper` associated with this attribute.
`Utf8Entry`
`attributeName()`
Returns the name of the attribute.

## Method Details

### contents

byte[] contents()
Returns the uninterpreted contents of the attribute payload.

Returns:
  the uninterpreted contents of the attribute payload